Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class ResizingLayout

    java.lang.Object
      edu.stanford.smi.protege.util.ResizingLayout

All Implemented Interfaces:
  LayoutManager, LayoutManager2

    public class ResizingLayout

extends Object
implements LayoutManager2

Layout manager that simply scales the existing components by default. A component can also be designated to take up all of either the extra horizontal or vertical space.

Author:
  Ray Fergerson

Field Summary
`static String` | `FILLING_HORIZONTALLY`
`static String` | `FILLING_VERTICALLY`
`static boolean` | `HORIZONTAL_FILL_DEFAULT`
`static String` | `HORIZONTAL_STRETCHER`
`static boolean` | `VERTICAL_FILL_DEFAULT`
`static String` | `VERTICAL_STRETCHER`

Constructor Summary
`ResizingLayout()`

Method Summary
`void` | `addLayoutComponent(Component c, Object constraint)`
`void` | `addLayoutComponent(String s, Component c)`
`float` | `getLayoutAlignmentX(Container c)`
`float` | `getLayoutAlignmentY(Container c)`
`static Dimension` | `getSize(Container container)`
`void` | `invalidateLayout(Container c)`
`void` | `layoutContainer(Container container)`
`Dimension` | `maximumLayoutSize(Container c)`
`Dimension` | `minimumLayoutSize(Container c)`
`Dimension` | `preferredLayoutSize(Container container)`
`void` | `removeLayoutComponent(Component c)`
`void` | `setResizeVertically(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HORIZONTAL_STRETCHER

    public static final String HORIZONTAL_STRETCHER

See Also:
  Constant Field Values

### VERTICAL_STRETCHER

    public static final String VERTICAL_STRETCHER

See Also:
  Constant Field Values

### FILLING_VERTICALLY

    public static final String FILLING_VERTICALLY

See Also:
  Constant Field Values

### FILLING_HORIZONTALLY

    public static final String FILLING_HORIZONTALLY

See Also:
  Constant Field Values

### VERTICAL_FILL_DEFAULT

    public static final boolean VERTICAL_FILL_DEFAULT

See Also:
  Constant Field Values

### HORIZONTAL_FILL_DEFAULT

    public static final boolean HORIZONTAL_FILL_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### ResizingLayout

    public ResizingLayout()

Method Detail

### addLayoutComponent

    public void addLayoutComponent(Component c,
                                   Object constraint)

  Specified by:
    `addLayoutComponent` in interface `LayoutManager2`

### addLayoutComponent

    public void addLayoutComponent(String s,
                                   Component c)

  Specified by:
    `addLayoutComponent` in interface `LayoutManager`

### setResizeVertically

    public void setResizeVertically(boolean b)

### getLayoutAlignmentX

    public float getLayoutAlignmentX(Container c)

  Specified by:
    `getLayoutAlignmentX` in interface `LayoutManager2`

### getLayoutAlignmentY

    public float getLayoutAlignmentY(Container c)

  Specified by:
    `getLayoutAlignmentY` in interface `LayoutManager2`

### getSize

    public static Dimension getSize(Container container)

### invalidateLayout

    public void invalidateLayout(Container c)

  Specified by:
    `invalidateLayout` in interface `LayoutManager2`

### layoutContainer

    public void layoutContainer(Container container)

  Specified by:
    `layoutContainer` in interface `LayoutManager`

### maximumLayoutSize

    public Dimension maximumLayoutSize(Container c)

  Specified by:
    `maximumLayoutSize` in interface `LayoutManager2`

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container c)

  Specified by:
    `minimumLayoutSize` in interface `LayoutManager`

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container container)

  Specified by:
    `preferredLayoutSize` in interface `LayoutManager`

### removeLayoutComponent

    public void removeLayoutComponent(Component c)

  Specified by:
    `removeLayoutComponent` in interface `LayoutManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.